<?php
declare(strict_types=1);

use FiloBlu\Refilo\Helper\Catalog\CategoryHelper;
use Magento\Catalog\Api\CategoryRepositoryInterface;
use Magento\Catalog\Model\ResourceModel\Category\Collection;
use Magento\Framework\App\Bootstrap;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\App\State;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$obj = $bootstrap->getObjectManager();
$state = $obj->get(State::class);
$state->setAreaCode('adminhtml');
$objectManager = ObjectManager::getInstance();


/** @var CategoryHelper $helper */
$helper = $objectManager->get(CategoryHelper::class);
//
///** @var  CategoryRepositoryInterface $categoryRepository */
//$categoryRepository = $objectManager->get(CategoryRepositoryInterface::class);
//
//
//$objectManager->get(Collection::class);
//$helper->getBreadcrumbs(19, 1);

$anchors = $helper->getIsAnchorCategories(21);